﻿local LAM = LibAddonMenu2

local ADDON_VERSION = "1.34"

local iconTexturesList = {
	[1] = "Original font",
	[2] = "Custom font 1",
	[3] = "Custom font 2",
	
}

local panelData = {
	    type = "panel",
	    name = "Skyrim UI (modified version)",
	    displayName = ZO_HIGHLIGHT_TEXT:Colorize("Skyrim UI (modified version)"),
	    author = "Half-Dead",
		registerForDefaults = true,
	    version = ADDON_VERSION,
	 
   slashCommand = "/ssi",
}

local optionsData = {  
	 [1] = {
	    type = "header",
		name = "Options",
	},
	 [2] = {
        type = "dropdown",
        name = "Select font",
        tooltip = "Choose a font (default is official font)",
		choices = iconTexturesList,
		default = "Original font",
		warning = "You have to reload the UI twice to get all textures to switch correctly!",
        getFunc = function() return ssi.SV.Icon end,
        setFunc = function(val) ssi.SV.Icon = val end,
	 },
	 [3] = {
	 	type = "button",
		name = "Reload UI",
		tooltip = "Remember to reload the UI twice",
		width = "full",
		func = function() 
	      ReloadUI("ingame")
		end,
	 },
}

function ssi:initLAM()
	LAM:RegisterOptionControls("SkyrimStyleUIOptions", optionsData)
	LAM:RegisterAddonPanel("SkyrimStyleUIOptions", panelData)
end